@echo off

SET HTTP_PORT=8080
SET ALLEGRA_HOME=D:\allegra-docker-home
SET CONTEXT=demo
SET allegraImage=allegrapm/core:7.2
SET postgresImage=postgres:13-bullseye
SET DB_USER=martin
SET DB_PASSWORD=aston
SET AJP_PORT=8119

docker "network" "create" "dbbus-demo"
docker "run" "--name" "postgres-demo" "--network" "dbbus-demo" "--restart" "always" "-e" "POSTGRES_DB=postgres-demo" "-e" "POSTGRES_USER=%DB_USER%" "-e" "POSTGRES_PASSWORD=%DB_PASSWORD%" "-d" "%postgresImage%"

echo "Giving database 10 seconds to start up"
sleep "10"

mkdir "-p" "%ALLEGRA_HOME%"
docker "run" "--detach" "--name" "allegra-%CONTEXT%" "--network" "dbbus-demo" "--restart" "always" "-e" "JAVA_OPTS=-Djava.awt.headless=true -Xmx1024m -Xms512m" "-e" "CONTEXT=demo" "-e" "DB_URL=jdbc:postgresql://postgres-demo/postgres-demo" "-e" "DB_USER=%DB_USER%" "-e" "DB_PASSWD=%DB_PASSWORD%" "-p" "%HTTP_PORT%:8080" "-p" "%AJP_PORT%:8009" "--mount" "type=bind,source="%ALLEGRA_HOME%",target=\home\allegra" "-v" "/tmp:\backup" "%allegraImage%"
echo ""
echo "You can find your new Allegra instance at http://localhost:%HTTP_PORT%/%CONTEXT%"
echo ""
