#!/bin/bash

HTTP_PORT=8090
AJP_PORT=8119

CAS_CFG=/etc/cas
imageName="allegrapm/sso:latest"

docker network create dbbus-demo

docker run --detach --name allegrapm-sso --network dbbus-demo \
       --restart always \
       -e JAVA_OPTS="-Djava.awt.headless=true -Xmx1024m -Xms512m" \
       -p $HTTP_PORT:8080 \
       -p $AJP_PORT:8009 \
       --mount type=bind,source="$CAS_CFG",target=/etc/cas \
       $imageName

echo "The SSO (Apereo CAS) container is ready to use, you can access it: http://localhost:$HTTP_PORT/sso"
